<!-- markdownlint-disable -->

# API Overview

## Modules

- [`streamlit_pydantic.schema_utils`](./streamlit_pydantic.schema_utils.md#module-streamlit_pydanticschema_utils)
- [`streamlit_pydantic.types`](./streamlit_pydantic.types.md#module-streamlit_pydantictypes)
- [`streamlit_pydantic.ui_renderer`](./streamlit_pydantic.ui_renderer.md#module-streamlit_pydanticui_renderer)

## Classes

- [`types.FileContent`](./streamlit_pydantic.types.md#class-filecontent)
- [`ui_renderer.InputUI`](./streamlit_pydantic.ui_renderer.md#class-inputui)
- [`ui_renderer.OutputUI`](./streamlit_pydantic.ui_renderer.md#class-outputui)

## Functions

- [`schema_utils.get_single_reference_item`](./streamlit_pydantic.schema_utils.md#function-get_single_reference_item)
- [`schema_utils.is_multi_enum_property`](./streamlit_pydantic.schema_utils.md#function-is_multi_enum_property)
- [`schema_utils.is_multi_file_property`](./streamlit_pydantic.schema_utils.md#function-is_multi_file_property)
- [`schema_utils.is_object_list_property`](./streamlit_pydantic.schema_utils.md#function-is_object_list_property)
- [`schema_utils.is_property_list`](./streamlit_pydantic.schema_utils.md#function-is_property_list)
- [`schema_utils.is_single_boolean_property`](./streamlit_pydantic.schema_utils.md#function-is_single_boolean_property)
- [`schema_utils.is_single_datetime_property`](./streamlit_pydantic.schema_utils.md#function-is_single_datetime_property)
- [`schema_utils.is_single_dict_property`](./streamlit_pydantic.schema_utils.md#function-is_single_dict_property)
- [`schema_utils.is_single_enum_property`](./streamlit_pydantic.schema_utils.md#function-is_single_enum_property)
- [`schema_utils.is_single_file_property`](./streamlit_pydantic.schema_utils.md#function-is_single_file_property)
- [`schema_utils.is_single_number_property`](./streamlit_pydantic.schema_utils.md#function-is_single_number_property)
- [`schema_utils.is_single_object`](./streamlit_pydantic.schema_utils.md#function-is_single_object)
- [`schema_utils.is_single_reference`](./streamlit_pydantic.schema_utils.md#function-is_single_reference)
- [`schema_utils.is_single_string_property`](./streamlit_pydantic.schema_utils.md#function-is_single_string_property)
- [`schema_utils.resolve_reference`](./streamlit_pydantic.schema_utils.md#function-resolve_reference)
- [`ui_renderer.function_has_named_arg`](./streamlit_pydantic.ui_renderer.md#function-function_has_named_arg)
- [`ui_renderer.has_input_ui_renderer`](./streamlit_pydantic.ui_renderer.md#function-has_input_ui_renderer)
- [`ui_renderer.has_output_ui_renderer`](./streamlit_pydantic.ui_renderer.md#function-has_output_ui_renderer)
- [`ui_renderer.is_compatible_audio`](./streamlit_pydantic.ui_renderer.md#function-is_compatible_audio)
- [`ui_renderer.is_compatible_image`](./streamlit_pydantic.ui_renderer.md#function-is_compatible_image)
- [`ui_renderer.is_compatible_video`](./streamlit_pydantic.ui_renderer.md#function-is_compatible_video)
- [`ui_renderer.name_to_title`](./streamlit_pydantic.ui_renderer.md#function-name_to_title): Converts a camelCase or snake_case name to title case.
- [`ui_renderer.pydantic_input`](./streamlit_pydantic.ui_renderer.md#function-pydantic_input): Shows input UI elements for a selected Pydantic class.
- [`ui_renderer.pydantic_output`](./streamlit_pydantic.ui_renderer.md#function-pydantic_output): Renders the output data based on an instance of a Pydantic model.


---

_This file was automatically generated via [lazydocs](https://github.com/ml-tooling/lazydocs)._
